ORIGIN = PWB
ORIGIN_VER = 2.1.49
PROJ = WCALLER
PROJFILE = WCALLER.MAK
DEBUG = 1

CC  = cl
CFLAGS_G  = /W0 /G2 /GA /GEf /Zp /BATCH
CFLAGS_D  = /f /Od /Zi /Gs
CFLAGS_R  = /f- /Os /Og /Oe /Gs
CXX  = cl
CXXFLAGS_G  = /G2 /W2 /GA /GEf /Zp /BATCH
CXXFLAGS_D  = /f /Zi /Od /Gs
CXXFLAGS_R  = /f- /Oe /Og /Os /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /NOF
LFLAGS_R  = /NOF
LLIBS_G  = LIBW.LIB
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e
RC  = rc
LLIBS_R  = /NOD:SLIBCE SLIBCEW
LLIBS_D  = /NOD:SLIBCE SLIBCEW
CVFLAGS  = /25 /2

FILES  = WCALLER.C WCALLER.DEF WCALLER.RC XPINGLUE.C
DEF_FILE  = WCALLER.DEF
OBJS  = WCALLER.obj XPINGLUE.obj
RESS  = WCALLER.res

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .res .c .rc
.SUFFIXES: .obj .res .c .rc

WCALLER.obj : WCALLER.C wcaller.h xpincall.h XPINTYPE.h XPINSHR.h
!IF $(DEBUG)
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /FoWCALLER.obj WCALLER.C
<<
!ELSE
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoWCALLER.obj WCALLER.C
<<
!ENDIF

WCALLER.res : WCALLER.RC wcaller.h
	$(RC) $(RCFLAGS1) /r /fo WCALLER.res WCALLER.RC

XPINGLUE.obj : XPINGLUE.C XPINTYPE.h XPINSHR.h xpincall.h
!IF $(DEBUG)
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /FoXPINGLUE.obj XPINGLUE.C
<<
!ELSE
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoXPINGLUE.obj XPINGLUE.C
<<
!ENDIF


$(PROJ).exe : $(DEF_FILE) $(OBJS) $(RESS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf
	$(RC) $(RCFLAGS2) $(RESS) $@


.c.obj :
!IF $(DEBUG)
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo$@ $<
<<
!ELSE
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo$@ $<
<<
!ENDIF

.rc.res :
	$(RC) $(RCFLAGS1) /r /fo $@ $<


run: $(PROJ).exe
	WX $(WXFLAGS) $(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
	WX /p $(WXFLAGS) CVW $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
